# Class CIM_AHTransform
extends CIM_SATransform

AHTransform defines the parameters used for a phase 2 AH (Authentication Header) Security Association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_ScopedSettingData
|
+--CIM_SATransform
|
+--CIM_AHTransform

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | AHTransform defines the parameters used for a phase 2 AH (Authentication Header) Security Association.
MappingStrings | string | IPSP Model.IETF|AHTransform
UMLPackagePath | string | CIM::Network::IPsec
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AHTransformId | uint16 |
Description | string | AHTransformId is an enumeration that specifies the hash algorithm to be used. The list of values was generated from RFC2407, Section 4.4.3.
MappingStrings | string | IPSP Model.IETF|AHTransform.AHTransformID, RFC2407.IETF|Section 4.4.3
ModelCorrespondence | string | CIM_AHTransform.OtherAHTransformId
ValueMap | string | 1, 2, 3, 4
Values | string | Other, MD5, SHA-1, DES
OtherAHTransformId | string |
Description | string | Description of the hash algorithm when the value 1 ("Other") is specified for the property, AHTransformId.
ModelCorrespondence | string | CIM_AHTransform.AHTransformId
ReplayPreventionWindowSize | uint32 |
Description | string | ReplayPreventionWindowsSize specifies, in bits, the length of the sliding window used by the replay prevention mechanism. The value of this property is meaningless if UseReplayPrevention is false. The window size MUST be a power of 2.
MappingStrings | string | IPSP Model.IETF|AHTransform.ReplayPreventionWindowSize
Units | string | Bits
UseReplayPrevention | boolean |
Description | string | UseReplayPrevention causes the local peer to enable replay prevention detection. This can be accomplished by using a sequence number when sending a packet or checking the sequence number upon receipt of a packet.
MappingStrings | string | IPSP Model.IETF|AHTransform.UseReplayPrevention

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SATransform
InstanceID | string | CIM_SettingData
MaxLifetimeKilobytes | uint64 | CIM_SATransform
MaxLifetimeSeconds | uint64 | CIM_SATransform
VendorID | string | CIM_SATransform

## Class Methods